Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 586980 - Errors when attempting to install both lvm and lvm-cluster debuginfo pkgs
Summary: Errors when attempting to install both lvm and lvm-cluster debuginfo pkgs
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: lvm2-cluster
Version: 5.5
Hardware: All
OS: Linux
low
medium
Target Milestone: rc
: ---
Assignee: Milan Broz
QA Contact: Corey Marthaler
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-04-28 15:26 UTC by Corey Marthaler
Modified: 2013-03-01 04:09 UTC (History)
10 users (show)

Fixed In Version: lvm2-cluster-2.02.73-1.el5
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-01-13 22:41:22 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2011:0052 0 normal SHIPPED_LIVE lvm2 bug fix and enhancement update 2011-01-12 17:15:25 UTC
Red Hat Product Errata RHBA-2011:0053 0 normal SHIPPED_LIVE lvm2-cluster bug fix and enhancement update 2011-01-12 17:22:43 UTC

Description Corey Marthaler 2010-04-28 15:26:34 UTC
Description of problem:

Transaction Check Error:
  file /usr/src/debug/LVM2.2.02.56/lib/locking/cluster_locking.c from install of lvm2-cluster-debuginfo-2.02.56-7.el5_5.1.x86_64 conflicts with file from package lvm2-debuginfo-2.02.56-8.el5_5.3.x86_64
  file /usr/src/debug/LVM2.2.02.56/lib/locking/locking.c from install of lvm2-cluster-debuginfo-2.02.56-7.el5_5.1.x86_64 conflicts with file from package lvm2-debuginfo-2.02.56-8.el5_5.3.x86_64
  file /usr/src/debug/LVM2.2.02.56/lib/metadata/lv_manip.c from install of lvm2-cluster-debuginfo-2.02.56-7.el5_5.1.x86_64 conflicts with file from package lvm2-debuginfo-2.02.56-8.el5_5.3.x86_64
  file /usr/src/debug/LVM2.2.02.56/lib/metadata/mirror.c from install of lvm2-cluster-debuginfo-2.02.56-7.el5_5.1.x86_64 conflicts with file from package lvm2-debuginfo-2.02.56-8.el5_5.3.x86_64



Version-Release number of selected component (if applicable):
lvm2-2.02.56-8.el5_5.3
lvm2-cluster-2.02.56-7.el5_5.1
lvm2-debuginfo-2.02.56-8.el5_5.3


How reproducible:
Everytime

Comment 1 Milan Broz 2010-04-28 15:30:34 UTC
I think just some spec magic here should be enough to fix that.

Comment 2 Milan Broz 2010-08-30 10:41:30 UTC
Fix in lvm2-cluster-2.02.73-1.el5.

Comment 4 Corey Marthaler 2010-10-11 20:50:15 UTC
Fix verified in lvm2-2.02.73-2.el5/lvm2-cluster-2.02.73-2.el5.

[root@taft-01 ~]# rpm -ihv http://download.devel.redhat.com/brewroot/packages/lvm2/2.02.73/2.el5/x86_64/lvm2-debuginfo-2.02.73-2.el5.x86_64.rpm http://download.devel.redhat.com/brewroot//packages/lvm2-cluster/2.02.73/2.el5/x86_64/lvm2-cluster-debuginfo-2.02.73-2.el5.x86_64.rpm
Retrieving http://download.devel.redhat.com/brewroot/packages/lvm2/2.02.73/2.el5/x86_64/lvm2-debuginfo-2.02.73-2.el5.x86_64.rpm
Retrieving http://download.devel.redhat.com/brewroot//packages/lvm2-cluster/2.02.73/2.el5/x86_64/lvm2-cluster-debuginfo-2.02.73-2.el5.x86_64.rpm
Preparing...                ########################################### [100%]
   1:lvm2-debuginfo         ########################################### [ 50%]
   2:lvm2-cluster-debuginfo ########################################### [100%]

[root@taft-01 ~]# rpm -qa | grep lvm
lvm2-cluster-debuginfo-2.02.73-2.el5
lvm2-2.02.73-2.el5
lvm2-debuginfo-2.02.73-2.el5
lvm2-cluster-2.02.73-2.el5

Comment 6 errata-xmlrpc 2011-01-13 22:41:22 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2011-0052.html


Note You need to log in before you can comment on or make changes to this bug.